<?php
require_once("../config/conexion.php");
require_once("../modelos/Cliente.php");
$cliente = new Cliente();

switch ($_GET["op"]) {
    case "combo":
        $datos = $cliente->get_cliente_activo();
        if (is_array($datos) == true and count($datos) > 0) {
            $html = "";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['Ccod_clieID'] . "'>" . $row['Ccod_clie'] . "&nbsp;" . "/" . "&nbsp;" . $row['Nom_clie'] . "/" . "&nbsp;" . $row['Emp_clie'] . "</option>";
            }
            echo $html;
        }
        break;

    case "listar":
        $datos = $cliente->get_cliente();
        $data = [];
        foreach ($datos as $row) {
            $sub_array = [];
            $sub_array[] = $row["Ccod_clie"];
            $sub_array[] = $row["Nom_clie"];
            $sub_array[] = $row["Emp_clie"];
            $sub_array[] = $row["RUC_clie"];
            if ($row["Est_clie"] == '1') {
                $sub_array[] = '<span class="label label-pill label-success">Activo</span>';
            } else {
                $sub_array[] = '<span class="label label-pill label-default">Inactivo</span>';
            }
            $sub_array[] = date("d/m/Y", strtotime($row["fech_reg"]));
            $sub_array[] = date("d/m/Y H:i:s", strtotime($row["Ult_fech"]));
            $sub_array[] = '<button type="button" onClick="editar(' . $row["Ccod_clieID"] . ');" id="' . $row["Ccod_clieID"] . '" class="btn btn-info btn-sm"><i class="fa fa-cogs"></i></button>';
            $data[] = $sub_array;
        }
        $results = [
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        ];
        echo json_encode($results);
        break;

    case "guardaryeditar":
        if (empty($_POST["Ccod_clieID"])) {
            $cliente->insert_cliente($_POST["Ccod_clie"], $_POST["Nom_clie"], $_POST["Emp_clie"], $_POST["RUC_clie"]);
        } else {
            $cliente->update_cliente($_POST["Ccod_clieID"], $_POST["Ccod_clie"], $_POST["Nom_clie"], $_POST["Emp_clie"], $_POST["RUC_clie"], $_POST["Est_clie"]);
        }
        break;

    case "mostrar":
        if (isset($_POST["Ccod_clieID"])) {
            $datos = $cliente->get_cliente_id($_POST["Ccod_clieID"]);
            if (is_array($datos) && count($datos) > 0) {
                $output["Ccod_clieID"] = $datos["Ccod_clieID"];
                $output["Ccod_clie"] = $datos["Ccod_clie"];
                $output["Nom_clie"] = $datos["Nom_clie"];
                $output["Emp_clie"] = $datos["Emp_clie"];
                $output["RUC_clie"] = $datos["RUC_clie"];
                $output["Est_clie"] = $datos["Est_clie"];
                echo json_encode($output);
            }
        }
        break;
}
?>
